Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QAbstractItemView.EditTrigger

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QAbstractItemView.EditTrigger

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QAbstractItemView

    public static final class QAbstractItemView.EditTrigger

extends java.lang.Enum
implements QtEnumerator

This enum describes actions which will initiate item editing.

See Also:
  Serialized Form

Field Summary
`static QAbstractItemView.EditTrigger` | `AllEditTriggers` Editing starts for all above actions.
`static QAbstractItemView.EditTrigger` | `AnyKeyPressed` Editing starts when any key is pressed over an item.
`static QAbstractItemView.EditTrigger` | `CurrentChanged` Editing start whenever current item changes.
`static QAbstractItemView.EditTrigger` | `DoubleClicked` Editing starts when an item is double clicked.
`static QAbstractItemView.EditTrigger` | `EditKeyPressed` Editing starts when the platform edit key has been pressed over an item.
`static QAbstractItemView.EditTrigger` | `NoEditTriggers` No editing possible.
`static QAbstractItemView.EditTrigger` | `SelectedClicked` Editing starts when clicking on an already selected item.

Method Summary
`static QAbstractItemView.EditTriggers` | `createQFlags(QAbstractItemView.EditTrigger[] values)` This function creates a com.trolltech.qt.gui.QAbstractItemView$EditTriggers with the specified `com.trolltech.qt.gui.QAbstractItemView$EditTrigger[]` QAbstractItemView$EditTrigger values set.
`static QAbstractItemView.EditTrigger` | `resolve(int value)` Returns the QAbstractItemView$EditTrigger constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QAbstractItemView.EditTrigger` | `valueOf(java.lang.String name)`
`static QAbstractItemView.EditTrigger[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NoEditTriggers

    public static final QAbstractItemView.EditTrigger NoEditTriggers

  No editing possible.

### CurrentChanged

    public static final QAbstractItemView.EditTrigger CurrentChanged

  Editing start whenever current item changes.

### DoubleClicked

    public static final QAbstractItemView.EditTrigger DoubleClicked

  Editing starts when an item is double clicked.

### SelectedClicked

    public static final QAbstractItemView.EditTrigger SelectedClicked

  Editing starts when clicking on an already selected item.

### EditKeyPressed

    public static final QAbstractItemView.EditTrigger EditKeyPressed

  Editing starts when the platform edit key has been pressed over an item.

### AnyKeyPressed

    public static final QAbstractItemView.EditTrigger AnyKeyPressed

  Editing starts when any key is pressed over an item.

### AllEditTriggers

    public static final QAbstractItemView.EditTrigger AllEditTriggers

  Editing starts for all above actions.

Method Detail

### values

    public static QAbstractItemView.EditTrigger[] values()

### valueOf

    public static QAbstractItemView.EditTrigger valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QAbstractItemView.EditTriggers createQFlags(QAbstractItemView.EditTrigger[] values)

  This function creates a com.trolltech.qt.gui.QAbstractItemView$EditTriggers with the specified `com.trolltech.qt.gui.QAbstractItemView$EditTrigger[]` QAbstractItemView$EditTrigger values set.

### resolve

    public static QAbstractItemView.EditTrigger resolve(int value)

  Returns the QAbstractItemView$EditTrigger constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD